com.icesoft.faces.component.datapaginator

## Class PaginatorActionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.ActionEvent
      - - com.icesoft.faces.component.datapaginator.PaginatorActionEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PaginatorActionEvent
      extends javax.faces.event.ActionEvent

  Version:
    beta 1.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaginatorActionEvent(javax.faces.component.UIComponent component, int pageIndex)`
    `PaginatorActionEvent(javax.faces.component.UIComponent component, java.lang.String scrollerfacet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPageIndex()`
    `java.lang.String` | `getScrollerfacet()`

    - ### Methods inherited from class javax.faces.event.ActionEvent

      `isAppropriateListener, processListener`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PaginatorActionEvent

          public PaginatorActionEvent(javax.faces.component.UIComponent component,
                                      java.lang.String scrollerfacet)

      Parameters:
        `component` -
        `scrollerfacet` -

    - #### PaginatorActionEvent

          public PaginatorActionEvent(javax.faces.component.UIComponent component,
                                      int pageIndex)

      Parameters:
        `component` -
        `pageIndex` -

  - ### Method Detail

    - #### getScrollerfacet

          public java.lang.String getScrollerfacet()

      Returns:
        Returns the scrollerfacet.

    - #### getPageIndex

          public int getPageIndex()

      Returns:
        int

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.